> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1businesses appsinstallations session token



## OpenAPI

````yaml /api-reference/openapi.json post /v1/businesses/{businessId}/apps/installations/{installationId}/session-token
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/businesses/{businessId}/apps/installations/{installationId}/session-token:
    post:
      tags:
        - BusinessAppInstallations
      operationId: CreateSessionTokenAsync
      parameters:
        - name: businessId
          in: path
          required: true
          schema:
            type: integer
            format: int64
        - name: installationId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BusinessAppsSessionTokenResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/SmartbillsSDKAspNetCoreModelsErrorsSBErrorResult
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/SmartbillsSDKAspNetCoreModelsErrorsSBErrorResult
components:
  schemas:
    BusinessAppsSessionTokenResponse:
      type: object
      properties:
        accessToken:
          type: string
          nullable: true
        expiresAt:
          type: string
          format: date-time
        businessId:
          type: integer
          format: int64
        userId:
          type: integer
          format: int64
        installationId:
          type: string
          format: uuid
        appSlug:
          type: string
          nullable: true
      additionalProperties: false
    SmartbillsSDKAspNetCoreModelsErrorsSBErrorResult:
      type: object
      additionalProperties: false

````